Bug 1028509 - Deploying VDB via URL is not working in JON plugin
Deploying VDB via URL is not working in JON plugin
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: JON (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: One-off release
Assigned To: Van Halbert
: QA-Closed, Reopened
Depends On:
Blocks: 1064461
  Show dependency treegraph
 
Reported: 2013-11-08 10:53 EST by Filip Nguyen
Modified: 2016-02-10 03:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Users are not currently able to deploy a virtual database via URL when using the JBoss Operations Network plugin.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:50:27 EST
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDRHQ-19 Major Resolved Enable deploying VDB via URL in JON plugin 2015-11-09 10:42 EST

  None (edit)
Description Filip Nguyen 2013-11-08 10:53:18 EST
Deployment of VDB via URL operation is not working in JON plugin for Teiid for DV6. This is one of the P1 requirements in the PRD. The feature was not implemented, Ted Jones confirmed this in IRC communication [1].

Ted also indicated, that if necessary, it is possible to implement this feature.


[1]
<tejones> .... that should not be in the new plugin. That was not implemented for AS 7. ....
<fnguyen> ah ok
<tejones> that is a holdover from the AS 5 plugin
Comment 7 JBoss JIRA Server 2013-12-11 12:52:48 EST
Ted Jones <tejones@redhat.com> updated the status of jira TEIIDRHQ-19 to Resolved
Comment 8 Filip Nguyen 2014-02-12 09:05:01 EST
I don't see the code [1] that should be fixing this in the GA plugin pack. It should be fixed in the project code, but it is not productized into the final JON plugin pack.

Specifically jon-plugin-pack-datavirtualization-3.2.0.GA/META-INF/rhq-plugin.xml still contains vdbVersion parameter that shouldn't be there (indicates old code) [2]

[1]
https://github.com/teiid/teiid-rhq/pull/14/files

[2]

             <operation name="deployVdbByUrl" displayName="Deploy a VDB via URL"
                        description="Deploy a VDB using a URL">
                        <parameters>
                                <c:simple-property displayName="VDB URL" name="vdbUrl"
                                        type="file" required="true" description="The URL of the VDB's source file." />
                                <c:simple-property displayName="VDB File Name"
                                        name="vdbDeployName" type="string" required="true"
                                        description="The name of the VDB to deploy." />
                                <c:simple-property displayName="VDB Version" name="vdbVersion"
                                        type="integer" required="false"
                                        description="The version to use for the deployed VDB. Leave blank to use the default version as determined by the deployer, overwrite a current version, or use the VDB file name version (i.e. vdbname.{version}.vdb). The version parameter is not applicable for deployment of dynamic VDBs." />
                        </parameters>
                </operation>

Note You need to log in before you can comment on or make changes to this bug.